io.vertx.rxjava.ext.stomp

## Class Frames

- java.lang.Object
- - io.vertx.rxjava.ext.stomp.Frames

-     public class Frames
      extends Object

  Utility methods to build common `Frame`s. It defines a non-STOMP frame (`PING`) that is used for heartbeats. When such frame is written on the wire it is just the `0` byte.

  This class is thread-safe.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frames(Frames delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Frame` | `createErrorFrame(String message, Map<String,String> headers, String body)`
    `static Frame` | `createReceiptFrame(String receiptId, Map<String,String> headers)`
    `Object` | `getDelegate()`
    `static void` | `handleReceipt(Frame frame, StompServerConnection connection)`
    `static Frames` | `newInstance(Frames arg)`
    `static Frame` | `ping()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Frames

          public Frames(Frames delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createErrorFrame

          public static Frame createErrorFrame(String message,
                                               Map<String,String> headers,
                                               String body)

    - #### createReceiptFrame

          public static Frame createReceiptFrame(String receiptId,
                                                 Map<String,String> headers)

    - #### handleReceipt

          public static void handleReceipt(Frame frame,
                                           StompServerConnection connection)

    - #### ping

          public static Frame ping()

    - #### newInstance

          public static Frames newInstance(Frames arg)

Copyright © 2016. All rights reserved.